@charset "utf-8";
/* Charnwood CSS Document */

@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}
html {
	scroll-behavior: smooth;
}
.wrapper {
	max-width: 90%;
	margin: 0 auto;
	padding: 2.5rem 5rem;
}
header {
	background: #000;
	font-family: system-ui, sans-serif;
	box-shadow: 0 5px 5px rgba(0,0,0,.4);
	padding: .5rem 5%;
	display: flex;
	align-items: center;
	justify-content: space-around;
}
header img {
	width: 60px;
	filter: invert(1);
}
header #burger {
	display: none;
}
header label {
	color: #fff;
	cursor: pointer;
	display: none;
}
header nav ul {
	list-style: none;
}
header nav ul li {
	float: left;
	position: relative;
}
.float-clear {
	clear: left;
}
header nav ul li a {
	font-size: .9rem;
	padding: 1rem 2rem;
	color: #BCBCBC;
	display: block;
	text-decoration: none;
	transition: color .3s ease-in-out;
}
header nav ul li a:hover {
	color: #FFFFFF;
}
header button {
	color: #fff;
	padding: .5rem 2rem;
	background: #510DCF;
	border: 0;
	border-radius: .5rem;
	cursor: pointer;
}
header nav ul li ul {
	position: absolute;
	left: 0;
	background: #000;
	width: 200px;
	box-shadow: 0 5px 5px 0 rgba(0,0,0,.4);
	display: none;
}
header nav ul li ul li {
	width: 100%;
	border-top: 1px #2F2F2F solid;
}
header nav ul li:focus > ul, header nav ul li:hover > ul {
	display: inherit;
}
nav .menu-book-btn {
	display: none;
}
.head-img {
	display: block;
	width: 100%;
	height: 300px;
	background: #848484;
}
.img-hotel {
	background: #848484 url("../img/gh-front.jpg") center center no-repeat;
	background-size: cover;
}
h1 {
	text-align: center;
	font-family: system-ui, sans-serif;
	margin-bottom: 2rem;
}
.feature-text {
	font-family: system-ui, sans-serif;
	text-align: center;
	font-size: 1.2em;
	line-height: 2em;
	font-weight: 100;
}
.icon-container {
	display: grid;
	grid-template-columns: repeat(5, 1fr);
	gap: .5rem;
	width: 80%;
	margin: 2rem auto;
	align-content: center;
	cursor: default;
	user-select: none;
}
.icon-container .icon-item {
	font-weight: bold;
	padding: 1em;
	text-align: center;
	color: #007BC0;
}
.icon-container .icon-item i {
	display: block;
	font-size: 3.5rem;
	margin-bottom: .8rem;
}

.small-icon-container {
	display: grid;
	grid-template-columns: repeat(5, 1fr);
	gap: .5rem;
	margin: 1rem auto;
	align-content: center;
	background-color: #ccc;
	cursor: default;
	user-select: none;
}
.small-icon-container .icon-item {
	font-weight: bold;
	padding: 1em;
	text-align: center;
	color: #fff;
}
.small-icon-container .icon-item i {
	display: block;
	font-size: 2.5rem;
	margin-bottom: .8rem;
}

footer {
	background: #000;
	font-family: system-ui, sans-serif;
	padding: 2rem 10%;
	display: flex;
	flex-wrap: wrap;
	align-items: flex-start;
	justify-content: space-between;
	gap: 1rem;
	color: #fff;
	font-weight: 100;
}
footer > * {
	flex-grow: 1;
	flex-basis: 20%;
}
footer i {
	margin: 0 1rem;
}
footer a {
	color: #fff;
	text-decoration: none;
}
footer div:nth-child(1) {
	text-align: center;
}
footer div:nth-child(3) {
	text-align: right;
}
footer .contact-info i, footer .contact-info p {
	display: inline-block;
	margin-right: 1rem;
	vertical-align: middle;
}
footer .contact-container {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 1rem;
}
footer .contact-info i, footer .contact-info p {
	padding: .5rem 0;
}
.room-container {
	flex-wrap: wrap;
	display: flex;
	border: 1px #ccc solid;
	border-radius: 10px;
	box-shadow: 0 0 5px #AFAFAF;
	margin-bottom: 1.5rem;
}
.room-container:last-child {
	margin-bottom: 0;
}
.room-title {
	display: block;
	text-align: center;
	width: 100%;
	padding: 1rem 0;
	background-color: #1064A8;
	color: #fff;
	border-radius: 10px 10px 0 0;
}
.room-container > .room-img {
	flex: 0 1 300px;
	min-height: 200px;
	border-radius: 0 0 0 10px;
}
.room-container > .room-item {
	flex: 1 1;
	padding: 1rem;
}
.single {
	background: #ccc url("../img/rooms/single.jpg") no-repeat center;
	background-size: cover;
}
.double {
	background: #ccc url("../img/rooms/double.jpg") no-repeat center;
	background-size: cover;
}
.twin {
	background: #ccc url("../img/rooms/twin.jpeg") no-repeat center;
	background-size: cover;
}
.family {
	background: #ccc url("../img/rooms/family.jpg") no-repeat center;
	background-size: cover;
}
.ariya {
	background: #ccc url("../img/rooms/ariya.jpg") no-repeat center;
	background-size: cover;
}
.accessibile {
	background: #ccc url("../img/rooms/access.jpg") no-repeat center;
	background-size: cover;
}
.naira {
	background: #ccc url("../img/rooms/naira.jpg") no-repeat center;
	background-size: cover;
}

/* Food Section */

.menu-container {
	width: 60%;
	margin: 2rem auto;
	border: 1px solid #ccc;
}
.menu-container > .menu-title {
	text-align: center;
	padding: 3rem 0;
	font-weight: bold;
	font-size: 2rem;
	background: #E7E3E3;
}
.info {
	text-align: center;
	font-size: 1.1rem;
	padding: 1rem 0;
}
.food-list {
	list-style: none;
	padding: 1rem;
}
.food-list li {
	display: flex;
	justify-content: space-between;
	border-bottom: 1px dotted #ddd;
	flex-basis: 100%;
	font-size: 1.5rem;
	font-weight: 300;
}
.food-list li span {
	font-weight: bold;
}
.food-list p {
	padding: 0.3rem 1rem;
	font-style: italic;
	font-size: 1rem;
	padding-bottom: 1.5rem;
}

/* End Food Section */

/* Start contact form styles */

form {
    display: flex;
    flex-direction: column;
}

label {
    margin-bottom: 5px;
    font-weight: bold;
}

input, textarea {
    margin-bottom: 15px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 16px;
}

input[type="text"], input[type="email"], input[type="tel"], input[type="text"], textarea {
    width: 100%;
}

button {
    padding: 10px;
    border: none;
    background-color: #510DCF;
    color: white;
    font-size: 16px;
    cursor: pointer;
    border-radius: 4px;
}

button:hover {
    background-color: #252525;
}

.required {
    color: red;
}

/* End Contact */

@media screen and (max-width: 490px) {
	header {
		padding: 1rem;
		flex-direction: column;
	}
	header label {
		display: inherit;
		padding: 1rem;
		text-align: right;
	}
	header nav {
		position: absolute;
		top: 125px; left: 0; right: 0;
		background: #000;
		border-top: 1px #2F2F2F solid;
		text-align: center;
		display: none;
		padding-bottom: 1rem;
	}
	header #burger:checked ~ nav {
		display: block;
	}
	header nav ul li {
		width: 100%;
	}
	header nav ul li ul {
		position: relative;
		width: 100%;
	}
	header nav ul li ul li {
		background: #272727;
	}
	nav .menu-book-btn {
		display: inherit;
	}
	.head-img {
		height: 200px;
	}
	.wrapper {
		padding: 2rem 1%;
	}
	.icon-container, .small-icon-container {
		display: block;
	}
	footer > * {
		flex-basis: 100%;
	}
	footer div:nth-child(1), footer div:nth-child(3) {
		text-align: center;
	}
	footer div:nth-child(2) {
		text-align: left;
	}
	.room-container > .room-img {
		border-radius: 0;
	}
	.menu-container {
		width: 99%;
	}
}